## net.sf.saxon.lib
Interface ValidationStatisticsRecipient

All Known Implementing Classes:
  StatisticsReporter

    public interface ValidationStatisticsRecipient

Defines a class that is notified of validation statistics at the end of a validation episode

Method Summary
`void` `notifyValidationStatistics(Map<SchemaComponent,Integer> statistics)` Notify the validation statistics

Method Detail

### notifyValidationStatistics

    void notifyValidationStatistics(Map<SchemaComponent,Integer> statistics)
                                    throws XPathException

  Notify the validation statistics

  Parameters:
    `statistics` - the statistics, in the form of a map from schema components (currently, element declarations and schema types) to a count of how often the component was used during the validation episode
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.